Bug 7112 - How do I upgrade a ThinLinc cluster?
Summary: How do I upgrade a ThinLinc cluster?
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Documentation (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.10.0
Assignee: Samuel Mannehed
URL:
Keywords: ossman_tester, relnotes
Depends on:
Blocks:
 
Reported: 2018-02-16 16:49 CET by Karl Mikaelsson
Modified: 2018-07-02 14:37 CEST (History)
1 user (show)

See Also:
Acceptance Criteria:
* Should explain if there is a specific order in which components should be upgraded. * Should detail the aspects of the ThinLinc service which becomes unavailable during the upgrade process. * Should explain how end users are affected by an upgrade. * Should recommend that the same version of components is used across the entire cluster. * Should include a recommended workflow for a cluster upgrade. * Should explain how to upgrade a High-Availability cluster.


Attachments

Description Karl Mikaelsson cendio 2018-02-16 16:49:18 CET
Our current documentation does not state any procedures for upgrading a ThinLinc cluster. We should provide enough documentation, so system administrators can prepare for, plan for, and carry out this an upgrade without surprises.

Some questions that probably should be answered by documentation:

- Can I upgrade the cluster piece-by-piece, online, or do I need to perform an offline upgrade? (i.e., do I need a service window?)

- Can I rollback a failed upgrade?

- In what order should I upgrade each component of the cluster?

- Can I maintain full cluster availability during the upgrade?

- Can I maintain full cluster capacity during the upgrade?
Comment 2 Karl Mikaelsson cendio 2018-05-10 20:08:27 CEST
We keep saying that we recommend that you use the same version of ThinLinc in the entire cluster, but I can't find any mention of this in the Administrators Guide.
Comment 3 Karl Mikaelsson cendio 2018-05-10 20:13:44 CEST
We don't mention what happens to sessions when we upgrade. The "easy" answer is that they survive, but multi-version upgrades and clusters are severely complicating factors that could make it hard for us to say undoubtedly yes to this question.
Comment 11 Samuel Mannehed cendio 2018-06-25 10:12:36 CEST
Should be fixed now.
Comment 18 Pierre Ossman cendio 2018-07-02 14:37:31 CEST
> * Should explain if there is a specific order in which components should be upgraded.
> 

Looks good.

> * Should detail the aspects of the ThinLinc service which becomes unavailable during the upgrade process.
> 
> * Should explain how end users are affected by an upgrade.
> 

Good.

> * Should recommend that the same version of components is used across the entire cluster.
> 

It's even required, so the result went one step further.

> * Should include a recommended workflow for a cluster upgrade.
> 

It does.

> * Should explain how to upgrade a High-Availability cluster.

It's just briefly mentioned, but it should be enough.

Note You need to log in before you can comment on or make changes to this bug.